.TH pts.cf 1M "26 November 1993" "Zombie Software" "PTS version 1.03"
.SH NAME
pts.cf - Problem Tracking System configuration file
.SH DESCRIPTION
.I PTS
is a database tool which is used to improve communication 
between system users and support personnel about problems encountered
with the system.
.I pts.cf
is the configuration file for 
.I PTS.
It specifies what problem types are available, and who should receive
mail from the
.I ptsager.
.PP
Any 
.I xpts
or 
.I ptsager
processes running before you make changes to the
.I pts.cf
file will not see your changes.
.SH CONFIG FILE FORMAT
Lines in the configuration file fall into the following two
primary categories:

.IP "problem-type line --" 10
Specifies a
.I LEAF
in the problem tree.  Problems can only be reported into leaves
of the problem tree.
It's format is:
.br
.ti 20
.sp 1
/type/subtype/subtype.../leaf\\n
.sp 1
type and subtype cannot contain spaces, the "/" character,
or the "#" character.  Problems can only be reported in
leaves.  Leaves cannot, by definition, have subtypes.
.sp 1
.IP "mail line --" 10
Specifies a user to send mail to whenever 
a problem get's over a certain number of days old.
It's formt is:
.br
.ti 20
.sp 1
user days\\n
.sp 1
user -- The local account name of the person to notify.
.sp 1
days -- An integer number of days.
.PP
In addition, the following may be in the configuration file:
.sp 1
.IP "comments --" 10
Anything after and including the # character is ignored.
.sp 1
.IP "blanks --" 10
Spaces, tabs, and newlines are ignored wherever there are not required.
.SH PROBLEM TREE
The problem tree hierarcy is
easy to add to but more difficult to change after
.\"flesh this out....
.I PTS
has been used.
.SH MAIL LIST
The mail list is easy to change at any time.
.\"flesh this out....
.SH SAMPLE CONFIG FILE
.nf
# /usr/local/lib/PTS/pts.cf
# This is the config file for the Problem Tracking System (PTS).
#
#
############################################################
#Mail list goes here...
# account_name  days_until_notified
        dean    2
        simon   4
        johnd   7

############################################################
# Problem types go here...
#   list leaves ONLY...
#   Case IS significant...

## Report PTS problems with xpts... What a concept!
/Software/PTS/problems
/Software/PTS/suggestions
/Software/PTS/comments

/Software/Editors/vi
/Software/Editors/emacs
/Software/Editors/Other

/Software/Programming/C
/Software/Programming/Pascal
/Software/Programming/Fortran
/Software/Programming/Scheme
/Software/Programming/ML
/Software/Programming/Other

/Software/X-Windows-System/Usage
/Software/X-Windows-System/Programming
/Software/X-Windows-System/Other

/Software/Network/Remote-Logins
/Software/Network/File-Transfers
/Software/Network/Other

/Hardware/Modems
/Software/Modems

/Software/Shell/Korn-shell(ksh)
/Software/Shell/C-Shell(csh)
/Software/Shell/Bourne-Shell(sh)
/Software/Shell/Aegis
/Software/Shell/Other

/Software/Login-Logout

/Software/Mail/elm
/Software/Mail/Mail
/Software/Mail/mail
/Software/Mail/mh
/Software/Mail/xmh
/Software/Mail/sendmail
/Software/Mail/Other

/Software/Other

/Hardware/Printer
/Hardware/Keyboard
/Hardware/Display
/Hardware/Mouse
/Hardware/Tape-Drive
/Hardware/Hard-Drive

/Hardware/Network
/Hardware/X-Terminal

/Hardware/Other

/Other
################ END OF pts.cf #############################
.fi
.SH FILES
/usr/local/lib/PTS --
.I  PTS
library files.
.br
/usr/local/lib/PTS/pts.cf --
.I  PTS
configuration file.
.br
/usr/local/lib/PTS/DB --
.I  PTS
database.
.SH SEE ALSO
pts(1), xpts(1), ptsager(1M), zdbm(3).
.SH AUTHORS
The Problem Tracking System was designed by
.I Zombie Software
at the University of Idaho.
The configuration file parser was designed and implemented by Dean Collins,
with a little help from Luke Sheneman.  See
.I pts(1)
for more information.
.sp 1
.SH COPYRIGHT
Copyright (c) 1993,1992 Dean Collins, Chris Hyde, Luke Sheneman, Brian Goff,
and John Hunter.
.br
Copyright (c) 1992 University of Idaho, Moscow, Idaho.

